{% extends 'admin/base_admin.html.twig' %}

{% block title %}Users{% endblock %}
{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('admin.users') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ path('admin.customers') }}">Customers</a></li>
        <li class="breadcrumb-item">{{ customer.name.full }}</li>

    </ol>
{% endblock %}

{% block body %}

    <div class="row">
        <div class="col-sm-12 col-xl-3">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-align-justify"></i> Controls
                </div>
                <div class="card-body">
                    <div class="controls">
                        <a href="{{ path('admin.users.show', {'id': customer.id}) }}"
                           class="btn btn-primary">Show User</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-body">

            <div class="box">
                <table class="table table-bordered table-hover">
                    <tbody>
                    <tr>
                        <th>Name</th>
                        <td>
                            {{ customer.name.full }}
                        </td>
                    </tr>
                    <tr>
                        <th>Email</th>
                        <td>
                            {{ customer.email.value }}
                        </td>
                    </tr>
                    <tr>
                        <th>Mobile</th>
                        <td>
                            {{ customer.mobile }}
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>

            <div class="box">
                <table class="table table-bordered mb-0">
                    <thead>
                    <tr>
                        <th>Addresses</th>
                        <th>City</th>
                        <th>State</th>
                        <th>ZipCode</th>
                        <th>Country</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for address in customer.addresses %}
                        <tr>
                            <td>{{ address.address }}</td>
                            <td>{{ address.city }}</td>
                            <td>{{ address.state }}</td>
                            <td>{{ address.zipcode }}</td>
                            <td>{{ address.country }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>

            <div class="box">
                <h4>Orders</h4>
                <table class="table table-bordered mb-0">
                    <thead>
                    <tr>
                        <th>Created</th>
                        <th>Grand total</th>
                        <th>Status</th>
                        <th>Quantity of goods</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for order in orders %}
                        <tr>
                            <td>{{ order.created }}</td>
                            <td>{{ order.grand_total }}</td>
                            <td>{{ order.status }}</td>
                            <td>{{ order.count }}</td>
                            <td>
                                <div class="d-flex flex-row">
                                    <a href="{{ path('admin.orders.show', {'id': order.id}) }}">Details</a>
                                </div>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>

        </div>
    </div>

{% endblock %}